:root {
    --background-color: #fefae0;
    --navigation-color: #283618;
    --navigation-text-color: #E9B87F;
    --text-color: #3F2E1F;
}

/* DEFAULT STYLING */
/* Text styling */

.strong {
    font-weight: bold;
}

.underline {
    text-decoration: underline;
}

.italic {
    letter-spacing: 0.035rem;
    font-style: italic;
}

header, main, footer {
    text-align: start;
    font-family: "Patrick Hand", cursive;
    font-size: 15px;
    letter-spacing: 2px;
}

/* Header */
#header {
    background-color: var(--navigation-color);
    display: flex;
    border-bottom: 5px solid var(--navigation-color);
}

h1 {
    font-family: "Rock Salt";
    font-size: 20px;
    padding: 12px;
    margin: 0;
    color: #ef9f59;
    flex-grow: 1;
    align-self: center;
    text-align: center;
}

#navigation-menu {
    width: 60%;
}

/* Header Navigation */
.navigation {
    padding: 20px;
    justify-content: end;
}

.navigation:first-of-type {
    padding-bottom: 0px;
}

.navigation > a + a {
    margin-left: 25px;
}

.navigation > a {
    color: var(--navigation-text-color);
    text-decoration: none;
}

.navigation .icon {
    display: none;
}

.navigation > div {
    display: flex;
    flex-direction: column;
}

/* Footer */
footer {
    min-height: 150px;
    bottom: 0;
    width: 100%;
    height: 120px;
    background-color: var(--navigation-color);
    color: var(--navigation-text-color);
    word-spacing: 5px;
    font-size: 14px;
    align-content: center;
    text-align: center;
}

.divider {
    display: inline;
}

#copyright {
    color: var(--navigation-text-color);
    word-spacing: normal;
}

.relevant-links, #copyright > a{
    color: var(--navigation-text-color);
}

/* Body */

body {
    min-height: 100vh;
    background-color: var(--background-color);
    display: flex;
    flex-direction: column;
    margin: 0;
}

main {
    width: 80%;
    margin: 0 auto;
    max-width: 1200px;
    flex: 1;
    color: var(--text-color);
}


/* Contract Page Specific */
#contract {
    width: 70%;
    max-width: 690px;
    margin: 0 auto;
}

/* Introduction Page Specific */

#introduction {
    width: 50%;
    align-content: center;
}

#introduction figure {
    text-align: center;
}

figcaption {
    padding-top: 10px;
}

ul {
    text-align: start;
    list-style: inside;
}

.indent {
    list-style: inside circle;
}

/* Web Evaluation Page Specific */

.comparison {
    display: grid;
    grid-template-columns: 40% 40%;   
    justify-content: space-evenly;
    margin: 0 0 70px 0;
    padding: 0;      
}

.comparison a {
    text-decoration: none;
    color: var(--text-color);
    font-size: 30px;
    
} 

.column {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 0; 
    margin: 0;
    align-items: center;
    font-size: 17px;
}

.column img {
    width: 100%;
}

.column p, .column ul, .column li, .column a {
    align-items: center;
    justify-content: center;
    width: 75%;
}

.column ul {
    padding: 0;
}

.column li {
    width: 100%;
    padding-bottom: 10px;
}

.comparison > div > p {
    font-size: 20px;
}

/* Tables Page Specific */
#html-tables {
    text-align: center;
}

.tables {
    text-align: start;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: center;
}

.better > thead > tr {
    background-color: #2b3c19;
    color: #ffffff;
}

.better > tbody > tr:nth-child(odd) {
    background-color: #c6e89e;
}
.better > tbody > tr:nth-child(even) {
    background-color: #e3f1d4;
}

.category-one > th{
    background-color: #445b2b;
    color: #ffffff;
}

.category-two > th {
    background-color: #a3c779;
}


.data  {
    border: 1px solid black;
    display: inline-block;
    text-align: center;
}

.data th, .data td {
    border: 1px solid black;
    padding: 0 20px;
}

.total {
    text-align: end;
}

/* BYO Introduction Page Specific */
form {
    justify-self: center;
    display: flex;
    flex-direction: column;
    width: 60%;
    margin-bottom: 20px;
}

label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 10px;
}

label > input{
    flex-grow: 1;
    max-width: 100%;
    margin-left: 10px;
}

#image-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

#image-container > div {
    padding: 10px;
}

label[for="image-caption"] {
    justify-content:initial;
}

#preview-container{
    display: flex;
    height: 50vh;
}


#image-caption {
    flex-grow: 1;
}

.text-input {
    display: block;
}

.text-input > textarea {
    display: block;
    width: 100%;
    resize: vertical;
}
#course-list {
    background-color: #a3c779;
    padding: 10px;
}

#course-list > div {
    margin-bottom:20px;
}

.delete-course {
    width: 15%;
    flex-grow: initial;
}

#custom-introduction {
    width: 60%;
    justify-self: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

#custom-introduction > #image-preview {
    width: 40%;
}

#custom-introduction > .left {
    text-align: start;
    width: 100%;
}

.no-bullet {
    list-style: none;
}

/* Client Project Overview Page Specific */
#wireframe, #sitemap {
    width: 65%;
}

#project-overview a{
    color: #445b2b;
}

/* Slideshow Page Specific */
.container {
    text-align: center;
    margin: 0 auto;
}

.slides > img {
    width: 35%;
}

#caption-container {
    justify-self: center;
    text-align: center;
    width: 50%;
}

#btn-container {
    display: flex;
    justify-self: center;
    justify-content: space-between;
    text-align: center;
    width: 15%;
}

#prevBtn, #nextBtn {
    width: 40%;
    font-size: 40px;
    cursor: pointer;
    user-select: none;
}

#nextBtn {
    right: 0;
    border-radius: 3px 0 0 3px;
}

#prevBtn:hover, #nextBtn:hover {
    background-color: #c6e89e;
}

/* RULE OVERRIDES */
/* Rule Overrides For Laptops / Small Screens */
@media screen and ( min-width: 981px ) and ( max-width: 1900px ) {
    /* Navigation */
    .navigation {
        display: flex;
    }
    
    /* Website Evaluation */
    .column img {
        padding-bottom: 20px;
    }
}

/* Rule Overrides For Tablet Devices */
@media screen and ( min-width: 601px ) and ( max-width: 980px ) {
    /* Navigation */
    
    .navigation {
        display: flex;
        font-size: 12px;
    }

    .navigation a {
        display:block;
    }
    
    /* Website Evaluation */
    .column img {
        padding-bottom: 30px;
    }
    /* Footer */
    
    .navigation > a + a {
        margin-left: 15px;
    }
}

/* Rule Overrides For Mobile Devices */
@media screen and ( min-width: 320px ) and ( max-width: 600px ) {
    /* Default Styling */
    #title {
        font-size: 17px;
    }
    h2 {
        font-size: 40px;
    }
    main {
        font-size: 17px;
    }

    /* Navigation */
    #header {
        flex-direction: column;
    }
    #navigation-menu {
        width: 100vw;
    }

    .navigation {
        justify-self: start;
        font-size: 20px;
        align-content: center;
        padding: 5px 20px;
    }
    .navigation a:not(:first-child){
        display: none;
        float: none;
        text-align: left;
        margin: 10px;
    }

    .navigation .icon {
        display: block;
        float: right;
        color: #ffffff;
        
    }
    
    /* Website Evaluation */
    .comparison {
        display:block;
    }
    .conclusion::before {
        content: "Conclusion";
        font-size: 30px;
        font-weight: bold;
    }

    .comparison:last-child {
        margin-bottom: 100px;
    }

    /* Client Page Overview*/
    #wireframe, #sitemap {
        width: 95%;
    }
}